Symptoms

Consider the following scenario:

  • You use a Microsoft SQL Server 2017 database as a data source for a tabular Direct Query model in SQL Server Analysis Service 2016.

  • The target SQL database is in an older compatibility level, such as SQL Server 2016 level.

In this scenario when you browse the Direct Query model, you receive the following error message:

DirectQuery error: DirectQuery may not be used with this data source – please consider moving to a supported data source or upgrading the SQL Server data source to the latest available version.

 

Resolution

This fix is included in the following cumulative updates for SQL Server:

Cumulative Update 7 for SQL Server 2017

Cumulative Update 8 for SQL Server 2016 Service Pack 1

About SQL Server builds

Each new build for SQL Server 2016 contains all the hotfixes and security fixes that were in the previous build. We recommend that you install the latest cumulative updates for SQL Server:

Latest build for SQL Server 2017

Latest build for SQL Server 2016

Status

Microsoft has confirmed that this is a problem in the Microsoft products that are listed in the "Applies to" section.

References

Learn about the terminology Microsoft uses to describe software updates.

Har du brug for mere hjælp?

Udvid dine færdigheder
Gå på opdagelse i kurser
Få nye funktioner først
Deltag i Microsoft insiders

Var disse oplysninger nyttige?

Hvad påvirkede din oplevelse?

Tak for din feedback!

×